Page MenuHomePhabricator

Hard deprecate Revision::newFromTitle
Closed, ResolvedPublic

Description

Fair amount of uses total, but not many deployed (non-deployed extensions can be fixed after hard deprecation occurs): https://codesearch.wmflabs.org/deployed/?q=Revision%3A%3AnewFromTitle&i=nope&files=&repos=

  • Core
  • FlaggedRevs
  • Gadgets
  • CiteThisPage
  • ConfirmEdit

Event Timeline

Change 585356 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/ConfirmEdit@master] Remove use of Revision::newFromTitle

https://gerrit.wikimedia.org/r/585356

DannyS712 triaged this task as Medium priority.Apr 2 2020, 12:31 AM
DannyS712 moved this task from Unsorted to In progress on the User-DannyS712 board.

Change 585357 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/CiteThisPage@master] Remove use of Revision::newFromTitle

https://gerrit.wikimedia.org/r/585357

Change 585359 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Gadgets@master] Remove use of Revision::newFromTitle

https://gerrit.wikimedia.org/r/585359

Change 585376 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/FlaggedRevs@master] Remove use of Revision objects

https://gerrit.wikimedia.org/r/585376

Change 585357 merged by jenkins-bot:
[mediawiki/extensions/CiteThisPage@master] Remove use of Revision::newFromTitle

https://gerrit.wikimedia.org/r/585357

DannyS712 updated the task description. (Show Details)Apr 7 2020, 1:24 AM

Change 585356 merged by jenkins-bot:
[mediawiki/extensions/ConfirmEdit@master] Remove use of Revision::newFromTitle

https://gerrit.wikimedia.org/r/585356

DannyS712 updated the task description. (Show Details)Apr 7 2020, 2:12 AM

Change 585359 merged by jenkins-bot:
[mediawiki/extensions/Gadgets@master] Remove use of Revision::newFromTitle

https://gerrit.wikimedia.org/r/585359

DannyS712 updated the task description. (Show Details)Apr 8 2020, 7:26 PM

Change 585376 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] Remove use of Revision objects to the extent possible

https://gerrit.wikimedia.org/r/585376

DannyS712 updated the task description. (Show Details)Apr 9 2020, 8:39 PM

Change 588179 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] ContentHandler::getAutoDeleteReason - remove use of Revision objects

https://gerrit.wikimedia.org/r/588179

Change 588181 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] ContentModelChange: Remove use of Revision objects

https://gerrit.wikimedia.org/r/588181

Change 588185 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] RevisionSearchResultTrait: Remove use of Revision objects

https://gerrit.wikimedia.org/r/588185

I'm splitting up the patches to remove the use of newFromTitle to hopefully make review easier and allow from cleanup in the related code

Change 588179 merged by jenkins-bot:
[mediawiki/core@master] ContentHandler::getAutoDeleteReason - remove use of Revision objects

https://gerrit.wikimedia.org/r/588179

Change 588181 merged by jenkins-bot:
[mediawiki/core@master] ContentModelChange: Remove use of Revision objects

https://gerrit.wikimedia.org/r/588181

Change 588185 merged by jenkins-bot:
[mediawiki/core@master] RevisionSearchResultTrait: Remove use of Revision objects

https://gerrit.wikimedia.org/r/588185

https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/583448/ will need to be merged before the hard deprecation can occur

Change 589081 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/FlaggedRevs@master] Remove use of Title::countAuthorsBetween

https://gerrit.wikimedia.org/r/589081

Change 589081 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] Remove use of Title::countAuthorsBetween

https://gerrit.wikimedia.org/r/589081

Change 589141 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Replace uses and hard deprecate Revision::newFromTitle

https://gerrit.wikimedia.org/r/589141

Change 587393 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Fix remaining uses and hard deprecate Title::(get|count)AuthorsBetween

https://gerrit.wikimedia.org/r/587393

Change 587393 merged by jenkins-bot:
[mediawiki/core@master] Fix remaining uses and hard deprecate Title::(get|count)AuthorsBetween

https://gerrit.wikimedia.org/r/587393

Change 589141 merged by jenkins-bot:
[mediawiki/core@master] Replace uses and hard deprecate Revision::newFromTitle

https://gerrit.wikimedia.org/r/589141

DannyS712 closed this task as Resolved.Apr 20 2020, 3:30 PM
DannyS712 removed a project: Patch-For-Review.
DannyS712 updated the task description. (Show Details)